Continue a conversation
curl --request POST \
--url https://catalystapi.superdashhq.com/api/v1/chatbot \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"conversationId": "<string>",
"assistantId": "<string>",
"userIdentifier": "<string>",
"workspaceId": "<string>",
"question": "<string>"
}
'import requests
url = "https://catalystapi.superdashhq.com/api/v1/chatbot"
payload = {
"conversationId": "<string>",
"assistantId": "<string>",
"userIdentifier": "<string>",
"workspaceId": "<string>",
"question": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversationId: '<string>',
assistantId: '<string>',
userIdentifier: '<string>',
workspaceId: '<string>',
question: '<string>'
})
};
fetch('https://catalystapi.superdashhq.com/api/v1/chatbot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversationId": "A newly created conversationId to identify the conversation. Generally, this is not required if you're using userIdentifier",
"response": "Response generated by LLM"
}
{
"code": "Error code",
"moreInfo": "Link to read about the error "
}
{
"msg": "Api key is not valid"
}
{
"msg": "Please upgrade your account to continue"
}
{
"msg": "Forbidden"
}
{
"msg": "Server Error"
}
Chat
Continue a conversation
Use this API endpoint to continue an existing conversation with a user
POST
/
v1
/
chatbot
Continue a conversation
Authorizations
string
required
API key associated with your project/workspace
Body Parameters
Provide either conversationId or userIdentifier, but not both.
string
A unique identifier for an existing conversation. Use this parameter to continue a specific conversation.
string
required
The UUID associated with an assistant.
string
required
A unique identifier associated with a user or customer. Use this parameter to continue a conversation based on the user’s history.
string
required
The UUID associated with a workspace.
string
required
The question to be submitted to the LLM.
Response
string
The response generated by the LLM.
string
The ID associated with the conversation.
{
"conversationId": "A newly created conversationId to identify the conversation. Generally, this is not required if you're using userIdentifier",
"response": "Response generated by LLM"
}
{
"code": "Error code",
"moreInfo": "Link to read about the error "
}
{
"msg": "Api key is not valid"
}
{
"msg": "Please upgrade your account to continue"
}
{
"msg": "Forbidden"
}
{
"msg": "Server Error"
}
⌘I